Bug 370971 - Dell D820, iwl3945: Unable to connect to wireless networks
Dell D820, iwl3945: Unable to connect to wireless networks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 04:40 EST by Mads Villadsen
Modified: 2009-01-09 02:23 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:23:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages output from NetworkManager (7.50 KB, text/plain)
2007-11-08 04:40 EST, Mads Villadsen
no flags Details

  None (edit)
Description Mads Villadsen 2007-11-08 04:40:21 EST
Description of problem:
Using Fedora 8 I am unable to connect to wireless networks - it makes no
difference if they are WPA or WEP. This is on a Dell Latitude D820
(http://smolt.fedoraproject.org/show?UUID=cfcb4411-d36d-4495-adc7-7867d792095f).

Version-Release number of selected component (if applicable):
[maxx@ice ~]$ rpm -q kernel iwl3945-firmware 
kernel-2.6.23.1-42.fc8
iwl3945-firmware-2.14.1.5-2

How reproducible:
Always.

Steps to Reproduce:
If using NetworkManager then trying to connect to a network results in the
password dialog box appearing and even after entering the correct password it
keeps showing up.

If using system-config-network then the following error shows up:
Error for wireless request "Set Mode" (8B06) :
    SET failed on device wlan0 ; Device or resource busy.

  
Actual results:
No connection.

Expected results:
A wireless connection.

Additional info:
I have tried this both with and without the fix in Bug #319071 
I have attached the output from /var/log/messages when trying to use NetworkManager.
Comment 1 Mads Villadsen 2007-11-08 04:40:21 EST
Created attachment 251321 [details]
/var/log/messages output from NetworkManager
Comment 2 Sergio Monteiro Basto 2007-11-12 15:32:57 EST
I have the same problem with ipw2200

Bringing up interface eth1:  Error for wireless request "Set Bit Rate" (8B20) :
    SET failed on device eth1 ; Invalid argument.

on F7 things work just great 
Comment 3 John W. Linville 2007-11-12 15:40:24 EST
The "Set Mode" and "Set Bit Rate" message may look disturbing, but they can be 
safely ignored.

Comment 2 might be a duplicate of 376511.  Sergio, please try adding "options 
ipw2200 hwcrypto=0" to /etc/modprobe.conf.

Regarding the iwl3945, can you replicate the problem using the 2.6.23.1-49.fc8 
kernel?
Comment 4 Mads Villadsen 2007-11-12 15:55:36 EST
Yes, I am still unable to connect using 2.6.23.1-49.fc8.
Comment 5 Mads Villadsen 2007-11-12 16:15:55 EST
I just altered some settings on the wireless access point and I found out how to
get a connection: I had to make sure that the SSID was not hidden.

Hidden SSID -> no connection.
Visible SSID -> connection works.
Comment 6 Sergio Monteiro Basto 2007-11-13 00:08:28 EST
(In reply to comment #3)
> The "Set Mode" and "Set Bit Rate" message may look disturbing, but they can be 
> safely ignored.

No I don't :),  the thing at least with me , I had made an upgrade from f7 and
wpa_supplicant drive had change.  

cat /etc/sysconfig/wpa_supplicant
# wlan0 and wifi0
# INTERFACES="-iwlan0 -iwifi0"
INTERFACES="-ieth1"
# ndiswrapper and prism
# DRIVERS="-Dndiswrapper -Dprism"
DRIVERS="-Dwext"

so here , after comment driver section (with #) and keep my interface I got
wireless working again.

I saw man wpa_supplicant to find your appropriate driver 
Comment 7 John W. Linville 2007-11-29 09:55:16 EST
Some important iwl3945 fixes went into kernel-2.6.23.8-63.fc8...does it work 
any better for you?
Comment 8 Jonathan Underwood 2007-12-02 10:46:17 EST
Also, have you tried adding this to your /etc/modprobe.conf

options iwl3945 disable_hw_scan=1

Comment 9 Mads Villadsen 2007-12-08 09:00:31 EST
Tried hiding the SSID again with kernel-2.6.23.8-63.fc8 - still no connection then.

With a visible SSID it still works fine.

disable_hw_scan makes no difference.
Comment 10 John W. Linville 2008-01-15 14:25:46 EST
Please try with this kernel:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=31090

And this version of NetworkManager:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=31120

Does that combination resolve the issue for you?
Comment 11 Mads Villadsen 2008-01-15 15:51:31 EST
With the new kernel and NetworkManager packages I can connect to the wireless
network with hidden SSID exactly once - right after I reboot the computer.

NetworkManager doesn't automatically remember the network either so I have to
choose "Connect to other wireless network..." from the tray icon on every boot.

After it has connected to the wireless network the name correctly appears in the
drop down menu but the radio button next to it is not selected - even though I
am connected to that network.

If I then click on the network to try and connect once again I first get
disconnected and then after a while it asks for the network password (which I
gave earlier and put into the keyring) and then it fails to connect.
Comment 12 David Dillow 2008-01-15 16:11:18 EST
I had a similar issue -- I got connected once, then could not connect again
after trying (and failing, a different issue) WPA Enterprise on another hidden
network. I also had the same issue with the network name in the drop down menu
-- present, but not selected.

I did find an oops in dmesg, but I think it came when I was automatically
connected to an open network I had been on before.

Another point, I'm on a 4965, not a 3935, if it matters.

wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:11:20:28:19:b0
wlan0: RX authentication from 00:11:20:28:19:b0 (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:11:20:28:19:b0
wlan0: RX AssocResp from 00:11:20:28:19:b0 (capab=0x421 status=0 aid=220)
wlan0: associated
wlan0: CTS protection enabled (BSSID=00:11:20:28:19:b0)
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=31 cWmax=1023 burst=0
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=31 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=15 cWmax=31 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=7 cWmax=15 burst=15
WARNING: at net/mac80211/rx.c:1693 __ieee80211_rx_handle_packet() (Not tainted)

Call Trace:
 <IRQ>  [<ffffffff8816a30e>] :mac80211:__ieee80211_rx_handle_packet+0xac/0x8fc
 [<ffffffff881a15a3>] :iwl4965:iwl4965_rx_reply_rx+0x95d/0x98c
 [<ffffffff81113156>] blk_run_queue+0x28/0x72
 [<ffffffff88058c48>] :scsi_mod:scsi_next_command+0x2d/0x39
 [<ffffffff8125d1d9>] _read_lock_bh+0x9/0x19
 [<ffffffff8815f3c0>] :mac80211:sta_info_get+0x57/0x5f
 [<ffffffff8815cd44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167aab>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167aa1>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d5ace>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d5a5a>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
Comment 13 John W. Linville 2008-01-15 16:15:39 EST
The WARNING is a known issue with at worst minor performance impacts.  It can 
be safely ignored.

The other problems sound like NetworkManager issues to me.  So, reassigning...
Comment 14 Dan Williams 2008-10-20 11:28:58 EDT
Is this still an issue with latest kernel (2.6.26.5-28.fc8 or later), latest NM (svn4022.4 or later), and latest wpa_supplicant (0.5.10-6.fc8 and later)?
Comment 15 Sasha 2008-11-05 01:08:54 EST
And i have this bug with D-link DWL-G122 and p54usb.
kernel kernel-2.6.26.6-49.fc8.x86_64.rpm and service networkmanager not running.

when i try to connect my AP i see in log:

Nov  3 18:23:04 localhost kernel: usb 1-6: new high speed USB device using ehci_hcd and address 2
Nov  3 18:23:04 localhost kernel: usb 1-6: configuration #1 chosen from 1 choice
Nov  3 18:23:04 localhost kernel: firmware: requesting isl3890usb
Nov  3 18:23:04 localhost kernel: p54: LM86 firmware
Nov  3 18:23:04 localhost kernel: p54: FW rev 2.5.6.0 - Softmac protocol 3.0
Nov  3 18:23:06 localhost kernel: p54: unknown eeprom code : 0x1
Nov  3 18:23:06 localhost kernel: p54: unknown eeprom code : 0x1007
Nov  3 18:23:06 localhost kernel: p54: unknown eeprom code : 0x1008
Nov  3 18:23:06 localhost kernel: p54: unknown eeprom code : 0x1100
Nov  3 18:23:06 localhost kernel: p54: unknown eeprom code : 0x3
Nov  3 18:23:06 localhost kernel: p54: unknown eeprom code : 0x1905
Nov  3 18:23:06 localhost kernel: phy0: hwaddr 00:0f:3d:cd:b5:50, isl3886
Nov  3 18:23:06 localhost kernel: usb 1-6: New USB device found, idVendor=2001, idProduct=3703
Nov  3 18:23:06 localhost kernel: usb 1-6: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Nov  3 18:23:06 localhost kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Nov  3 18:23:06 localhost dhclient: wmaster0: unknown hardware address type 801
Nov  3 18:23:06 localhost dhclient:last message repeated 3 times
Nov  3 18:23:06 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 5
Nov  3 18:23:06 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 5
Nov  3 18:23:07 localhost kernel: ------------[ cut here ]------------
Nov  3 18:23:07 localhost kernel: WARNING: at net/mac80211/rx.c:2101 __ieee80211_rx+0x5a/0x539 [mac80211]() (Not tainted)
Nov  3 18:23:07 localhost kernel: Modules linked in: arc4 ecb crypto_blkcipher autofs4 coretemp it87 hwmon_vid hwmon p54usb p54common mac80211 cfg80211 ipv6 nf_conntrack_ipv4 xt_
state nf_conntrack xt_tcpudp ipt_REJECT iptable_filter ip_tables x_tables cpufreq_ondemand acpi_cpufreq freq_table dm_multipath snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_mi
di_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer i2c_i801 snd_page_alloc snd_hwdep iTCO_wdt snd parport_pc i2c_core iTCO_vendor_support r8169 parport s
oundcore pcspkr sr_mod sg cdrom dm_snapshot dm_zero dm_mirror dm_log dm_mod ahci libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]
Nov  3 18:23:07 localhost kernel: Pid: 0, comm: swapper Not tainted 2.6.26.6-49.fc8 #1
Nov  3 18:23:07 localhost kernel: 
Nov  3 18:23:07 localhost kernel: Call Trace:
Nov  3 18:23:07 localhost kernel:  <IRQ>  [<ffffffff8103652c>] warn_on_slowpath+0x60/0x8e
Nov  3 18:23:07 localhost kernel:  [<ffffffff811d06d2>] ? usb_free_urb+0x15/0x17
Nov  3 18:23:07 localhost kernel:  [<ffffffff811cee94>] ? usb_hcd_giveback_urb+0xae/0xb7
Nov  3 18:23:07 localhost kernel:  [<ffffffff810994be>] ? dma_pool_free+0xf4/0x115
Nov  3 18:23:07 localhost kernel:  [<ffffffffa000173b>] ? :ehci_hcd:qh_completions+0xad/0x2f6
Nov  3 18:23:07 localhost kernel:  [<ffffffffa02d804d>] :mac80211:__ieee80211_rx+0x5a/0x539
Nov  3 18:23:07 localhost kernel:  [<ffffffffa02c8c7e>] :mac80211:ieee80211_tasklet_handler+0x5a/0xe5
Nov  3 18:23:07 localhost kernel:  [<ffffffff8103b46d>] tasklet_action+0x75/0xda
Nov  3 18:23:07 localhost kernel:  [<ffffffff8103b31f>] __do_softirq+0x5e/0xd5
Nov  3 18:23:07 localhost kernel:  [<ffffffff8100d52c>] call_softirq+0x1c/0x28
Nov  3 18:23:07 localhost kernel:  [<ffffffff8100ed5e>] do_softirq+0x44/0x8b
Nov  3 18:23:07 localhost kernel:  [<ffffffff8103b280>] irq_exit+0x3f/0x80
Nov  3 18:23:07 localhost kernel:  [<ffffffff8100f05f>] do_IRQ+0x147/0x16c
Nov  3 18:23:07 localhost kernel:  [<ffffffff810127a1>] ? mwait_idle+0x0/0x53
Nov  3 18:23:07 localhost kernel:  [<ffffffff8100c6cd>] ret_from_intr+0x0/0x19
Nov  3 18:23:07 localhost kernel:  <EOI>  [<ffffffff810127e6>] ? mwait_idle+0x45/0x53
Nov  3 18:23:07 localhost kernel:  [<ffffffff8100a83b>] ? enter_idle+0x22/0x24
Nov  3 18:23:07 localhost kernel:  [<ffffffff8100ad46>] ? cpu_idle+0x91/0xbb
Nov  3 18:23:07 localhost kernel:  [<ffffffff812888ed>] ? rest_init+0x61/0x63
Nov  3 18:23:07 localhost kernel: 
Nov  3 18:23:07 localhost kernel: ---[ end trace 4cbe35c78e3d6f2f ]---
Nov  3 18:23:07 localhost kernel: ------------[ cut here ]------------
Nov  3 18:23:07 localhost kernel: WARNING: at net/mac80211/rx.c:2101 __ieee80211_rx+0x5a/0x539 [mac80211]() (Tainted: G        W)
Nov  3 18:23:07 localhost kernel: Modules linked in: arc4 ecb crypto_blkcipher autofs4 coretemp it87 hwmon_vid hwmon p54usb p54common mac80211 cfg80211 ipv6 nf_conntrack_ipv4 xt_state nf_conntrack xt_tcpudp ipt_REJECT iptable_filter ip_tables x_tables cpufreq_ondemand acpi_cpufreq freq_table dm_multipath snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer i2c_i801 snd_page_alloc snd_hwdep iTCO_wdt snd parport_pc i2c_core iTCO_vendor_support r8169 parport soundcore pcspkr sr_mod sg cdrom dm_snapshot dm_zero dm_mirror dm_log dm_mod ahci libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]
Nov  3 18:23:07 localhost kernel: Pid: 0, comm: swapper Tainted: G        W 2.6.26.6-49.fc8 #1
Nov  3 18:23:07 localhost kernel: 
Nov  3 18:23:07 localhost kernel: Call Trace:
Nov  3 18:23:07 localhost kernel:  <IRQ>  [<ffffffff8103652c>] warn_on_slowpath+0x60/0x8e
Nov  3 18:23:07 localhost kernel:  [<ffffffff811d06d2>] ? usb_free_urb+0x15/0x17
Nov  3 18:23:07 localhost kernel:  [<ffffffff811cee94>] ? usb_hcd_giveback_urb+0xae/0xb7
Nov  3 18:23:07 localhost kernel:  [<ffffffff810994be>] ? dma_pool_free+0xf4/0x115
Nov  3 18:23:07 localhost kernel:  [<ffffffffa000173b>] ? :ehci_hcd:qh_completions+0xad/0x2f6
Nov  3 18:23:07 localhost kernel:  [<ffffffffa02d804d>] :mac80211:__ieee80211_rx+0x5a/0x539
Nov  3 18:23:07 localhost kernel:  [<ffffffffa02c8c7e>] :mac80211:ieee80211_tasklet_handler+0x5a/0xe5
Nov  3 18:23:07 localhost kernel:  [<ffffffff8103b46d>] tasklet_action+0x75/0xda
Nov  3 18:23:07 localhost kernel:  [<ffffffff8103b31f>] __do_softirq+0x5e/0xd5
Nov  3 18:23:07 localhost kernel:  [<ffffffff8100d52c>] call_softirq+0x1c/0x28
Nov  3 18:23:07 localhost kernel:  [<ffffffff8100ed5e>] do_softirq+0x44/0x8b
Nov  3 18:23:07 localhost kernel:  [<ffffffff8103b280>] irq_exit+0x3f/0x80
Nov  3 18:23:07 localhost kernel:  [<ffffffff8100f05f>] do_IRQ+0x147/0x16c
Nov  3 18:23:07 localhost kernel:  [<ffffffff810127a1>] ? mwait_idle+0x0/0x53
Nov  3 18:23:07 localhost kernel:  [<ffffffff8100c6cd>] ret_from_intr+0x0/0x19
Nov  3 18:23:07 localhost kernel:  <EOI>  [<ffffffff810127e6>] ? mwait_idle+0x45/0x53
Nov  3 18:23:07 localhost kernel:  [<ffffffff8100a83b>] ? enter_idle+0x22/0x24
Nov  3 18:23:07 localhost kernel:  [<ffffffff8100ad46>] ? cpu_idle+0x91/0xbb
Nov  3 18:23:07 localhost kernel:  [<ffffffff812888ed>] ? rest_init+0x61/0x63
Nov  3 18:23:07 localhost kernel: 
Nov  3 18:23:07 localhost kernel: ---[ end trace 4cbe35c78e3d6f2f ]---
Nov  3 18:23:11 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 14
Nov  3 18:23:11 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 14
Nov  3 18:23:25 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 20
Nov  3 18:23:25 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 20
Nov  3 18:23:45 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 14
Nov  3 18:23:45 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 14
Nov  3 18:23:59 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 8
Nov  3 18:23:59 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 8
Nov  3 18:24:07 localhost dhclient: No DHCPOFFERS received.
Nov  3 18:24:07 localhost dhclient: No DHCPOFFERS received.
Nov  3 18:24:44 localhost kernel: IPv6 over IPv4 tunneling driver
Nov  3 18:24:44 localhost kernel: sit0: Disabled Privacy Extensions
Nov  3 18:25:05 localhost kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Nov  3 18:25:23 localhost kernel: usb 1-6: USB disconnect, address 2
Comment 16 Bug Zapper 2008-11-26 03:14:17 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Mads Villadsen 2008-12-19 15:23:30 EST
I finally got around to testing it again. It works for me now with a fully updated Fedora 8.
Comment 18 Bug Zapper 2009-01-09 02:23:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.